#SingleInstance ignore
#NoEnv  ; Recommended for performance and compatibility with future AutoHotkey releases.
#InstallKeybdHook
SendMode Input  ; Recommended for new scripts due to its superior speed and reliability.
SetWorkingDir %A_ScriptDir%  ; Ensures a consistent starting directory.

Menu, Tray, NoStandard
Menu, Tray, Tip, F-Inverter
Gosub, ResumeScript

OnMessage(0x404, "CaptureTrayClick")

; F1
MEDIA_PLAY_PAUSE::F1
F1::MEDIA_PLAY_PAUSE

; F2
VOLUME_MUTE::F2
F2::VOLUME_MUTE

; F3
VOLUME_DOWN::F3
F3::VOLUME_DOWN

; F4
VOLUME_UP::F4
F4::VOLUME_UP

; F5
+#F21::
 SendKeys("{F5}")
 Return

F5::
 SendKeys("+#{F21}")
 Return

; F6
!#F21::
 SendKeys("{F6}")
 Return

F6::
 SendKeys("!#{F21}")
 Return

; F7
^#F21::
 SendKeys("{F7}")
 Return

F7::
 SendKeys("^#{F21}")
 Return

; F8
#F21::
 SendKeys("{F8}")
 Return

F8::
 SendKeys("#{F21}")
 Return

; F9
^#BS::
 SendKeys("{F9}")
 Return

F9::
 SendKeys("^#{BS}")
 Return

; F10 
^#TAB::
 SendKeys("{F10}")
 Return

F10::
 SendKeys("^#{TAB}")
 Return

; F11
!#F22::
 SendKeys("{F11}")
 Return

F11::
 SendKeys("!#{F22}")
 Return

; F12
^#F23::
 SendKeys("{F12}")
 Return

F12::
 SendKeys("^#{F23}")
 Return

EndScript:
  ExitApp
  Return

SuspendScript:
  Menu, Tray, Icon, f_suspended.ico, , 1
  Menu, Tray, DeleteAll
  Menu, Tray, Add, &Resume, ResumeScript
  Menu, Tray, Default, &Resume
  Menu, Tray, Add
  Menu, Tray, Add, E&xit, EndScript
  Suspend, On
  Return

ResumeScript:
  Menu, Tray, Icon, f_resumed.ico, , 1
  Menu, Tray, DeleteAll
  Menu, Tray, Add, &Suspend, SuspendScript
  Menu, Tray, Default, &Suspend
  Menu, Tray, Add
  Menu, Tray, Add, E&xit, EndScript
  Suspend, Off
  Return

SendKeys(keys) {
  Suspend, On
  SendInput %keys%
  Suspend, Off
}
 
CaptureTrayClick(wParam, lParam)
{
    if (lParam = 0x202) 
        if (A_IsSuspended = 1)
	  GoSub, ResumeScript
	else
	  GoSub, SuspendScript
}

